Vulnerability   
Search   
    Search 211766 CVE descriptions
and 97459 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.1.4.2019.2068.1
Category:SuSE Local Security Checks
Title:SUSE: Security Advisory (SUSE-SU-2019:2068-1)
Summary:The remote host is missing an update for the 'Linux Azure Kernel' package(s) announced via the SUSE-SU-2019:2068-1 advisory.
Description:Summary:
The remote host is missing an update for the 'Linux Azure Kernel' package(s) announced via the SUSE-SU-2019:2068-1 advisory.

Vulnerability Insight:
The SUSE Linux Enterprise 15 Azure kernel was updated to receive various security and bugfixes.

The following security bugs were fixed:
CVE-2018-20855: An issue was discovered in create_qp_common,
mlx5_ib_create_qp_resp was never initialized, resulting in a leak of
stack memory to userspace. (bnc#bsc#1103991)

CVE-2019-1125: Fix Spectre V1 variant via swapgs: Exclude ATOMs from
speculation through SWAPGS (bsc#1139358).

CVE-2019-14284: In the Linux kernel, drivers/block/floppy.c allowed a
denial of service by setup_format_params division-by-zero.
(bnc#bsc#1143189)

CVE-2019-14283: In the Linux kernel, set_geometry in
drivers/block/floppy.c did not validate the sect and head fields, as
demonstrated by an integer overflow and out-of-bounds read. It can be
triggered by an unprivileged local user when a floppy disk has been
inserted. NOTE: QEMU creates the floppy device by default. (bsc#1143191)

CVE-2019-11810: An issue was discovered in the Linux kernel A NULL
pointer dereference can occur when megasas_create_frame_pool() fails in
megasas_alloc_cmds() in drivers/scsi/megaraid/megaraid_sas_base.c. This
causes a Denial of Service, related to a use-after-free. (bsc#1134399)

CVE-2019-13648: In the Linux kernel on the powerpc platform, when
hardware transactional memory was disabled, a local user can cause a
denial of service via a sigreturn() system call that sends a crafted
signal frame. (bnc#1142265)

CVE-2019-13631: In parse_hid_report_descriptor, a malicious usb device
could send an hid: report that triggered an out-of-bounds write during
generation of debugging messages. (bnc#1142023)

The following non-security bugs were fixed:
acpi/nfit: Always dump _DSM output payload (bsc#1142351).

acpi: PM: Allow transitions to D0 to occur in special cases
(bsc#1051510).

acpi: PM: Avoid evaluating _PS3 on transitions from D3hot to D3cold
(bsc#1051510).

af_unix: remove redundant lockdep class (git-fixes).

alsa: compress: Be more restrictive about when a drain is allowed
(bsc#1051510).

alsa: compress: Do not allow partial drain operations on capture
streams (bsc#1051510).

alsa: compress: Fix regression on compressed capture streams
(bsc#1051510).

alsa: compress: Prevent bypasses of set_params (bsc#1051510).

alsa: hda - Add a conexant codec entry to let mute led work
(bsc#1051510).

alsa: hda/realtek - Fixed Headphone Mic can't record on Dell platform
(bsc#1051510).

alsa: hda/realtek - Headphone Mic can't record after S3 (bsc#1051510).

alsa: hda/realtek: apply ALC891 headset fixup to one Dell machine
(bsc#1051510).

alsa: line6: Fix a typo (bsc#1051510).

alsa: line6: Fix wrong altsetting for LINE6_PODHD500_1 (bsc#1051510).

alsa: seq: Break too long mutex context in the write loop (bsc#1051510).

alsa: usb-audio: Add quirk for Focusrite Scarlett Solo (bsc#1051510).

alsa: usb-audio: Add quirk for MOTU MicroBook II (bsc#1051510).

alsa: usb-audio: Cle... [Please see the references for more information on the vulnerabilities]

Affected Software/OS:
'Linux Azure Kernel' package(s) on SUSE Linux Enterprise Module for Public Cloud 15, SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1

Solution:
Please install the updated package(s).

CVSS Score:
7.8

CVSS Vector:
AV:N/AC:L/Au:N/C:N/I:N/A:C

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2019-1125
http://packetstormsecurity.com/files/156337/SWAPGS-Attack-Proof-Of-Concept.html
https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-1125
RedHat Security Advisories: RHBA-2019:2824
https://access.redhat.com/errata/RHBA-2019:2824
RedHat Security Advisories: RHBA-2019:3248
https://access.redhat.com/errata/RHBA-2019:3248
RedHat Security Advisories: RHSA-2019:2600
https://access.redhat.com/errata/RHSA-2019:2600
RedHat Security Advisories: RHSA-2019:2609
https://access.redhat.com/errata/RHSA-2019:2609
RedHat Security Advisories: RHSA-2019:2695
https://access.redhat.com/errata/RHSA-2019:2695
RedHat Security Advisories: RHSA-2019:2696
https://access.redhat.com/errata/RHSA-2019:2696
RedHat Security Advisories: RHSA-2019:2730
https://access.redhat.com/errata/RHSA-2019:2730
RedHat Security Advisories: RHSA-2019:2899
https://access.redhat.com/errata/RHSA-2019:2899
RedHat Security Advisories: RHSA-2019:2900
https://access.redhat.com/errata/RHSA-2019:2900
RedHat Security Advisories: RHSA-2019:2975
https://access.redhat.com/errata/RHSA-2019:2975
RedHat Security Advisories: RHSA-2019:3011
https://access.redhat.com/errata/RHSA-2019:3011
RedHat Security Advisories: RHSA-2019:3220
https://access.redhat.com/errata/RHSA-2019:3220
CopyrightCopyright (C) 2021 Greenbone Networks GmbH

This is only one of 97459 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.